// ============================================================================
//  Project:	Course "Object-Oriented Programming (in Java)"
//  Version:	Winter 2014/15, University of Halle
//  Module:	Player.java
//  Purpose:	Homework 11: Small Computer Game (Rogue/Nethack/Larn-Style)
//  LastChange:	23.01.2015
//  Language:	Java
//  Authors:	Stefan Brass
//  Email:	brass@informatik.uni-halle.de
//  Address:	Universitaet Halle, Inst. f. Informatik, D-06099 Halle, Germany
//  Copying:	You may do what you want with this, but don't make me
//		responsible. This code probably contains bugs.
// ============================================================================


// ============================================================================
// Klasse fuer Spieler-Object ("Character" des Rollenspiels):
// ============================================================================

class Player {
	// Konstante fuer Startwert der Gesundheitspunkte:
	private static final int START_HP = 10;

	// Aktuelle Position des Spielers:
	private int x;
	private int y;

	// Lebenspunkte/Gesundheitspunkte (Hit Points / Health Points):
	private int hp;

	// Konstruktor:
	Player(int x, int y) {
		this.x = x;
		this.y = y;
		this.hp = START_HP;
	}

	// Aktuelle Position des Spielers (x-Koordinate) liefern:
	int getX() {
		return this.x;
	}

	// Aktuelle Position des Spielers (y-Koordinate) liefern:
	int getY() {
		return this.y;
	}

	// Spieler bewegen:
	void setXY(int x, int y) {
		this.x = x;
		this.y = y;
	}

	// Aktuellen Stand der Gesundheitspunkte liefern:
	int getHP() {
		return this.hp;
	}

	// Gesundheitspunkte veraendern (meist negativ):
	void changeHP(int diff) {
		this.hp += diff;
	}
}

